* {
    margin: 0;
    padding: 0;
    font-family: 'Montserrat', sans-serif;
    scroll-behavior: smooth;
}
:root{
    --bg-color: #1b1b1b;
    --light-color: #ffffff;
    --gold-color: #ffac1a;
    --dark-color: #000000;
    --light-ash: #dbdad6;
}

body{
    width: 1200px;
    margin: auto;
   
    background: var(--bg-color);
    
}
.header{
    width: 1200px;
    height: 80px;
    background: var(--dark-color);
    border-bottom: 3px solid var(--gold-color);
   

}
.nav{
    margin-left: 197px;
    display: flex;
    justify-content: space-between;

}
.navlinks{
    margin-right: 45px;

}
span{
    background: var(--gold-color);
    padding: 9px;
    border-radius: 10px;
    transition: 0.2s;
}
span:hover{
    background: transparent;
}
.navlinks ul li{
    list-style: none;
    display: inline-block;
    padding: 2px 12px;
    margin-top: 26px;

}
.navlinks ul li a{
    text-decoration: none;
    color: var(--light-color);

}
.navlinks ul li::after{
    content: '';
    width: 0%;
    height: 2px;
    background: var(--gold-color);
    display: block;
    margin: auto;
    transition: 0.5s;
}
.navlinks ul li:hover::after{
    width: 100%;
}
/* ----------services---------- */
.service{
    background: linear-gradient(#1b1b1b,#000000);
    height: 460px;
    
    padding: 20px;
    margin-top: 20px;
}
.text-3{
    padding: 30px;
    margin-top: 20px;
}
h2{
    font-size: 18px;
    font-weight: 300;
    color: var(--gold-color);
}

h1{
    font-size: 60px;
    font-weight: 700;
    word-spacing: -6px;
    color: var(--light-color);
}
h1::after{
    content: '';
    width: 10%;
    height: 2px;
    background: var(--gold-color);
    display: block;
    margin-right: auto;
    margin-top: -5x;
    margin-bottom: 10px;
}
span1{
    color: var(--gold-color);
}


p{
    text-align: left;
    font-size: 12px;
    font-weight: 200;
    line-height: 18px;
    margin-bottom: 20px;
    color: var(--light-color);
}
.btn1{
    
    text-decoration: none;
    color: var(--light-color);
    background: var(--gold-color);
    padding: 10px 16px;
    border-radius: 15px;
    font-size: 12px;
    font-weight: 200;
    position: relative;
    transition: 0.3s;

}
.btn1:hover{
    background: transparent;
    border: 1px solid var(--gold-color);
    color: var(--gold-color);
}
.serve-img{
    display: flex;
    padding: 10px;
    gap: 2%;
    margin-top: -15px;
}

.imga{
    border-radius: 10px;
    position: relative;
    overflow: hidden;
    border-top: 5px solid var(--gold-color);
    
}
.imga img{
    width: 100%;
    

}
.layer{
    background: transparent;
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    transition: 0.5s;

}
.layer:hover{
    background: #ffab1a29;
}
.layer h3{
    color: var(--light-color);
    font-size: 20px;
    text-align: center;
    font-weight: 300;
    margin-top: 50%;
    bottom: 0;
    opacity: 0;
    transition: 0.5s;
}
.layer:hover h3{
    opacity: 1;

}
/*----------- creativity -------------*/

.creativity{
    background: var(--bg-color);
}
.text-4{
    display: flex;
    justify-content: space-between;
    padding: 10px;
    margin-left: 50px;
    margin-top: -20px;
    margin-bottom: 20px;
}
h4{
    color: var(--light-color);
    font-size: 50px;
    font-weight: 700;
    margin-left: 50px;
    line-height: 50px;
    margin-top: 40px;
}
span3{
    color: var(--gold-color);
}

.port{
    color: var(--gold-color);
    border-left: 2px solid var(--gold-color);
    border-radius: 10px;
    list-style: none;
    font-weight: 300;
    font-size: 18px;
    line-height: 30px;
    padding: 10px;
    align-content: space-evenly;
    transition: 0.2s;
    
}
.port:hover{
    background: transparent;
    border-right: 1px solid var(--gold-color);
    color: var(--light-color);
}
.row{
    margin-right: 200px;
    margin-top: 40px;
    display: flex;
    gap: 10px;
}
.port-1{
    margin-left: 20px;
   
    
   
}
/*------- hire--------- me */
.hire-me{
    background: var(--gold-color);
    height: 70px;
    text-align: center;
}
h5{
    padding-top: 10px;
    padding-bottom: 5px;
    font-size: 20px;
    color: var(--light-color);
    font-weight: 300;
}
.btn2{
    text-decoration: none;
    color: var(--gold-color);
    background: var(--light-color);
    border: 1px solid var(--light-color);
    padding: 3px 6px;
    border-radius: 10px;
    font-size: 10px;
    font-weight: 300;
    transition: 0.3s;

}
.btn2:hover{
    background: transparent;
    border: 1px solid var(--light-color);
    color: var(--light-color);
}
/* ---------info--------- */
.info{
    height: 100px;
    background: var(--light-color);
    text-align: center;
}
h6{
    font-size: 20px;
    font-weight: 300;
    padding-top: 10px;
    margin-bottom: 15px;
}
.btn3{
    text-decoration: none;
    color: var(--light-color);
    background: var(--gold-color);
    border: 1px solid var(--gold-color);
    margin-top: 5px;
    font-size: 12px;
    font-weight: 200;
    padding: 6px 12px;
    border-radius: 10px;
    transition: 0.3s;
}
.btn3:hover{
    color: var(--gold-color);
    background: transparent;
    border: 1px solid var(--gold-color);
    

}
/* -------footer------- */
.footer{
    width: 1200px;
    height: 80px;
    background-image: url(images/footer-bg.png);
    background-repeat: no-repeat;
    text-align: center;
    padding-top: 150px;
}
p1 {
    color: var(--light-color);
    
    font-size: 15px;
    font-weight: 200;
}
.media{
    margin-top: 5px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    gap: 10px;
    
}
.icons {
    width: 15px;
    padding: 6px 12px;
}
.icon-1{
    transition: 0.5s;
    
}
.icon-1:hover{
    transform: translateY(-10px);
}
.icon-1{
    transition: 0.5s;
    
}
.icon-2:hover{
    transform: translateY(-10px);
}
.icon-2{
    transition: 0.5s;
    
}
.icon-2:hover{
    transform: translateY(-10px);
}
.icon-3{
    transition: 0.5s;
    
}
.icon-3:hover{
    transform: translateY(-10px);
}
.icon-4{
    transition: 0.5s;
    
}
.icon-4:hover{
    transform: translateY(-10px);
}
div p2{
    color: var(--gold-color);
     font-size: 12px;
    font-weight: 200;
}